# BaseBuilder Class Reference
[Class builders]

Inheritance diagram for BaseBuilder:
[legend]

List of all members.

## Static Public Member Functions

static | build (MetaClass $class)

## Static Protected Member Functions

static | buildPointers (MetaClass $class)
static | getHead ()
static | startCap ()
static | getHeel ()

## Detailed Description

Definition at line 15 of file BaseBuilder.class.php.

## Member Function Documentation

static BaseBuilder::build | ( | MetaClass $ | class | ) | `[static]`

Reimplemented in AutoProtoClassBuilder, BusinessClassBuilder, ContainerClassBuilder, DaoBuilder, DictionaryDaoBuilder, EnumerationClassBuilder, and ProtoClassBuilder.

Definition at line 17 of file BaseBuilder.class.php.

static BaseBuilder::buildPointers | ( | MetaClass $ | class | ) | `[static, protected]`

Definition at line 22 of file BaseBuilder.class.php.

References MetaClass::getIdentifier(), MetaClass::getPattern(), MetaClass::getReferencingClasses(), MetaClass::getSourceLink(), and MetaClass::getWithInternalProperties().

Referenced by DictionaryDaoBuilder::build().

Here is the call graph for this function:

static BaseBuilder::getHead | ( |  | ) | `[static, protected]`

Reimplemented in OnceBuilder, and SchemaBuilder.

Definition at line 95 of file BaseBuilder.class.php.

References startCap().

Referenced by DictionaryDaoBuilder::build(), and AutoProtoClassBuilder::build().

Here is the call graph for this function:

static BaseBuilder::getHeel | ( |  | ) | `[static, protected]`

Definition at line 135 of file BaseBuilder.class.php.

Referenced by ContainerClassBuilder::buildContainer().

static BaseBuilder::startCap | ( |  | ) | `[static, protected]`

Definition at line 106 of file BaseBuilder.class.php.

Referenced by OnceBuilder::getHead(), and getHead().

The documentation for this class was generated from the following file:

- meta/builders/BaseBuilder.class.php